Module java.xml
Package javax.xml.catalog

## Enum CatalogFeatures.Feature

- java.lang.Object
- - java.lang.Enum<CatalogFeatures.Feature>
  - - javax.xml.catalog.CatalogFeatures.Feature

All Implemented Interfaces:
  `Serializable`, `Comparable<CatalogFeatures.Feature>`

Enclosing class:
  CatalogFeatures

    public static enum CatalogFeatures.Feature
    extends Enum<CatalogFeatures.Feature>

A Feature type as defined in the Catalog Features table.

### Enum Constant Summary

Enum Constants
`DEFER` The `javax.xml.catalog.defer` property as described in item DEFER of the Catalog Features table.
`FILES` The `javax.xml.catalog.files` property as described in item FILES of the Catalog Features table.
`PREFER` The `javax.xml.catalog.prefer` property as described in item PREFER of the Catalog Features table.
`RESOLVE` The `javax.xml.catalog.resolve` property as described in item RESOLVE of the Catalog Features table.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `defaultValue()` Returns the default value of the property.
`String` `getPropertyName()` Returns the name of the corresponding System Property.
`static CatalogFeatures.Feature` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CatalogFeatures.Feature[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FILES

    public static final CatalogFeatures.Feature FILES

The `javax.xml.catalog.files` property as described in item FILES of the Catalog Features table.

#### PREFER

    public static final CatalogFeatures.Feature PREFER

The `javax.xml.catalog.prefer` property as described in item PREFER of the Catalog Features table.

#### DEFER

    public static final CatalogFeatures.Feature DEFER

The `javax.xml.catalog.defer` property as described in item DEFER of the Catalog Features table.

#### RESOLVE

    public static final CatalogFeatures.Feature RESOLVE

The `javax.xml.catalog.resolve` property as described in item RESOLVE of the Catalog Features table.

### Method Detail

#### values

    public static CatalogFeatures.Feature[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CatalogFeatures.Feature c : CatalogFeatures.Feature.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CatalogFeatures.Feature valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getPropertyName

    public String getPropertyName()

Returns the name of the corresponding System Property.

Returns:
  the name of the System Property

#### defaultValue

    public String defaultValue()

Returns the default value of the property.

Returns:
  the default value of the property